<?php
defined( 'WPINC' ) or die;

/**
 * Gets the drip schedule for the specified subscription level.
 *
 * @since 1.0
 *
 * @param int $sub_id The subscription level ID to get schedules for.
 * @param string $orderby The sort order of the schedules. Default is schedule ID.
 * @return mixed array|bool An array of drip schedules, if any. Boolean false if not.
 */
function rcp_drip_get_level_schedules( $sub_id ) {

	if ( empty( $sub_id ) || ! is_numeric( $sub_id ) ) {
		wp_die( __( 'You must supply a numeric subscription ID to use rcp_drip_get_level_schedules()', 'rcp-drip-content' ) );
	}

	$schedules_db = new \RCP\Addon\DripContent\Schedules\Drip_Schedule_DB( array( 'level_id' => $sub_id ) );
	$schedules    = $schedules_db->schedules_for_level();

	if ( ! $schedules || empty( $schedules[0] ) ) {
		return false;
	}

	return $schedules;
}