<?php
namespace RCP\Addon\DripContent\System;

defined( 'WPINC' ) or die;

class Activation {

	public function tasks() {
		$this->create_tables();
	}

	public function create_tables() {
		$schedule_table = new \RCP\Addon\DripContent\System\CreateTable( 'rcp_drip_schedules' );
		$schedule_table->run();
		unset( $schedule_table );
	}
}

class CreateTable {

	public $unprefixed_table;

	public $table;

	public function __construct( $table ) {

		if ( empty( $table ) ) {
			return;
		}

		$this->unprefixed_table = $table;

		global $wpdb;

		$this->table = $wpdb->prefix . $table;
	}

	public function run() {

		global $wpdb;

		require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );

		if ( method_exists( $this, $this->unprefixed_table ) ) {
			$method = $this->unprefixed_table;
			$this->$method();
		}
	}

	public function rcp_drip_schedules() {
		$sql = "CREATE TABLE " . $this->table . " (
		id bigint(20) NOT NULL AUTO_INCREMENT,
		level_id bigint(20) NOT NULL,
		type varchar(20) NOT NULL,
		taxonomy tinytext,
		taxonomy_term bigint,
		post_id bigint,
		unit smallint NOT NULL,
		period tinytext NOT NULL,
		PRIMARY KEY id (id),
		KEY level_id (level_id),
		KEY type (type),
		KEY taxonomy_term (taxonomy_term),
		KEY post_id (post_id)
		) CHARACTER SET utf8 COLLATE utf8_general_ci;";

		dbDelta( $sql );
	}
}