<div class="wrap">

	<h2><?php _e( 'New Group', 'rcp-group-accounts' ); ?></h2>

	<form method="post">

		<table class="form-table">

			<?php do_action( 'rcpga_add_group_form_fields_before' ); ?>

			<tr class="form-row form-required">

				<th scope="row">
					<label for="rcpga-group-name"><?php _e( 'Name', 'rcp-group-accounts' ); ?></label>
				</th>

				<td>
					<input type="text" name="rcpga-group-name" id="rcpga-group-name" class="regular-text" autocomplete="off" />
					<p class="description"><?php _e( 'The name of this group', 'rcp-group-accounts' ); ?></p>
				</td>

			</tr>

			<tr class="form-row form-required">

				<th scope="row">
					<label for="rcpga-group-description"><?php _e( 'Description', 'rcp-group-accounts' ); ?></label>
				</th>

				<td>
					<?php wp_editor( '', 'rcpga-group-description', array( 'textarea_name' => 'rcpga-group-description', 'media_buttons' => false ) ); ?>
					<p class="description"><?php _e( 'The description of this group', 'rcp-group-accounts' ); ?></p>
				</td>

			</tr>

			<tr class="form-row form-required">

				<th scope="row">
					<label for="rcpga-user-email"><?php _e( 'Group Owner', 'rcp-group-accounts' ); ?></label>
				</th>

				<td>
					<input type="text" name="rcpga-user-email" id="rcpga-user-email" />
					<p class="description"><?php _e( 'Enter the email address of the user account to set as the group owner.', 'rcp-group-accounts' ); ?></p>
				</td>

			</tr>

			<tr class="form-row form-required">

				<th scope="row">
					<label for="rcpga-group-seats"><?php _e( 'Seats', 'rcp-group-accounts' ); ?></label>
				</th>

				<td>
					<input type="number" min="1" step="1" name="rcpga-group-seats" id="rcpga-group-seats" class="regular-text" autocomplete="off" />
					<p class="description"><?php _e( 'The number of seats for this group', 'rcp-group-accounts' ); ?></p>
				</td>

			</tr>

			<?php do_action( 'rcpga_add_group_form_fields_after' ); ?>

		</table>

		<input type="hidden" name="rcpga-user-id" id="rcpga-user-id" value="" />
		<input type="hidden" name="rcpga-action" value="add-group" />

		<?php submit_button( __( 'Add Group', 'rcp-group-accounts' ) ); ?>

	</form>

</div>
