<?php
$search = '';
if ( ! empty( $_GET['s'] ) ) {
	$search = rawurldecode( $_GET['s'] );
}
?>
<div class="wrap" id="rcp-members-page">

	<h2>
		<?php _e( 'Group', 'rcp-group-accounts' ); ?> <a href="<?php echo esc_url( admin_url( 'admin.php?page=rcp-groups&rcpga-view=add-group' ) ); ?>" class="add-new-h2"><?php _e( 'Add Group', 'rcp-group-accounts' ); ?></a>
		<?php if ( ! empty( $search ) ) : ?>
			<span class="subtitle"><?php printf( __( 'Search results for &#8220;%s&#8221;', 'rcp-group-accounts' ), esc_html( $search ) ); ?></span>
		<?php endif; ?>
	</h2>

	<form id="rcpga-members-search" method="GET" action="<?php echo esc_url( admin_url( 'admin.php?page=rcp-groups' ) ); ?>">
		<p class="search-box">
			<label for="rcpga-members-search-input" class="screen-reader-text"><?php _e( 'Search Groups', 'rcp-group-accounts' ); ?></label>
			<input type="search" id="rcpga-members-search-input" name="s" value="<?php echo esc_attr( $search ); ?>">
			<input type="hidden" name="page" value="rcp-groups">
			<input type="submit" class="button" value="<?php esc_attr_e( 'Search groups', 'rcp-group-accounts'); ?>">
		</p>
	</form>

	<table class="wp-list-table widefat">
		<thead>
			<tr>
				<th scope="col" class="manage-column column-primary"><?php _e( 'Name', 'rcp-group-accounts' ); ?></th>
				<th scope="col" class="manage-column"><?php _e( 'Owner', 'rcp-group-accounts' ); ?></th>
				<th scope="col" class="manage-column"><?php _e( 'Description', 'rcp-group-accounts' ); ?></th>
				<th scope="col" class="manage-column"><?php _e( 'Members', 'rcp-group-accounts' ); ?></th>
				<th scope="col" class="manage-column"><?php _e( 'Seats', 'rcp-group-accounts' ); ?></th>
				<th scope="col" class="manage-column"><?php _e( 'Date Created', 'rcp-group-accounts' ); ?></th>
				<?php do_action( 'rcpga_groups_page_table_header' ); ?>
			</tr>
		</thead>
		<tfoot>
			<tr>
				<th scope="col" class="manage-column column-primary"><?php _e( 'Name', 'rcp-group-accounts' ); ?></th>
				<th scope="col" class="manage-column"><?php _e( 'Owner', 'rcp-group-accounts' ); ?></th>
				<th scope="col" class="manage-column"><?php _e( 'Description', 'rcp-group-accounts' ); ?></th>
				<th scope="col" class="manage-column"><?php _e( 'Members', 'rcp-group-accounts' ); ?></th>
				<th scope="col" class="manage-column"><?php _e( 'Seats', 'rcp-group-accounts' ); ?></th>
				<th scope="col" class="manage-column"><?php _e( 'Date Created', 'rcp-group-accounts' ); ?></th>
				<?php do_action( 'rcpga_groups_page_table_footer' ); ?>
			</tr>
		</tfoot>
		<tbody>
		<?php

		$page     = isset( $_GET['paged'] ) ? $_GET['paged'] : 1;
		$per_page = 20;
		$offset   = $per_page * ( $page - 1 );

		$args   = array(
			'number' => $per_page,
			'offset' => $offset
		);

		if ( ! empty( $search ) ) {
			global $wpdb;
			$args['where'] = $wpdb->prepare( " WHERE `name` LIKE '%%%%" . '%s' . "%%%%' ", $wpdb->esc_like( sanitize_text_field( $search ) ) );
		}

		$groups = rcpga_group_accounts()->groups->get_groups( $args );

		$total_groups = rcpga_group_accounts()->groups->get_group_count();
		$total_pages  = ceil( $total_groups / $per_page );

		if( ! empty( $groups ) ) :
			$i = 1;
			foreach( $groups as $key => $group ) : ?>
				<tr<?php echo $i & 1 ? ' class="alternate"' : ''; ?>>
					<td class="has-row-actions column-primary" data-colname="<?php esc_attr_e( 'Name', 'rcp-group-accounts' ); ?>">
						<?php echo stripslashes( $group->name ); ?>
						<div class="row-actions">
							<span class="edit">
								<a href="<?php echo esc_url( admin_url( 'admin.php?page=rcp-groups&rcpga-view=edit&rcpga-group=' . $group->group_id ) ); ?>"><?php _e( 'Edit', 'rcp-group-accounts' ); ?></a>
								<span class="rcp-separator"> | </span>
							</span>
							<span>
								<a href="<?php echo esc_url( admin_url( 'admin.php?page=rcp-groups&rcpga-view=view-members&rcpga-group=' . $group->group_id ) ); ?>"><?php _e( 'Members', 'rcp-group-accounts' ); ?></a>
								<span class="rcp-separator"> | </span>
							</span>
							<span class="trash">
								<a href="<?php echo esc_url( admin_url( 'admin.php?page=rcp-groups&rcpga-action=delete-group&rcpga-group=' . $group->group_id ) ); ?>" class="submitdelete rcpga-group-delete" style="color:#a00"><?php _e( 'Delete', 'rcp-group-accounts' ); ?></a>
								<span class="rcp-separator"> | </span>
							</span>
							<span class="rcp-id-col">
								<?php printf( __( 'ID: %d', 'rcp-group-accounts' ), $group->group_id ); ?>
							</span>
						</div>
						<button type="button" class="toggle-row"><span class="screen-reader-text"><?php _e( 'Show more details', 'rcp-group-accounts' ); ?></span></button>
					</td>
					<td data-colname="<?php esc_attr_e( 'Owner', 'rcp-group-accounts' ); ?>">
						<a href="<?php echo esc_url( add_query_arg( array( 'page' => 'rcp-members', 'edit_member' => $group->owner_id ), admin_url( 'admin.php' ) ) ); ?>"> <?php echo get_userdata( $group->owner_id )->display_name; ?></a>
					</td>
					<td data-colname="<?php esc_attr_e( 'Description', 'rcp-group-accounts' ); ?>"><?php echo stripslashes( $group->description ); ?></td>
					<td data-colname="<?php esc_attr_e( 'Members', 'rcp-group-accounts' ); ?>"><?php echo absint( $group->member_count ); ?></td>
					<td data-colname="<?php esc_attr_e( 'Seats', 'rcp-group-accounts' ); ?>"><?php echo absint( $group->seats ); ?></td>
					<td data-colname="<?php esc_attr_e( 'Date Created', 'rcp-group-accounts' ); ?>"><?php echo $group->date_created; ?></td>
					<?php do_action( 'rcpga_groups_page_table_column', $group ); ?>
				</tr>
			<?php $i++;
			endforeach;
		else : ?>
			<tr><td colspan="6"><?php _e( 'No groups found', 'rcp-group-accounts' ); ?></td></tr>
		<?php endif; ?>
		</tbody>
	</table>
	<?php if ( $total_pages > 1 ) : ?>
		<div class="tablenav">
			<div class="tablenav-pages alignright">
				<?php
				$base = 'admin.php?' . remove_query_arg( 'paged', $_SERVER['QUERY_STRING'] ) . '%_%';
				echo paginate_links( array(
					'base' 		=> $base,
					'format' 	=> '&paged=%#%',
					'prev_text' => __( '&laquo; Previous', 'rcp' ),
					'next_text' => __( 'Next &raquo;', 'rcp' ),
					'total' 	=> $total_pages,
					'current' 	=> $page,
					'end_size' 	=> 1,
					'mid_size' 	=> 5,
				));
				?>
			</div>
		</div><!--end .tablenav-->
	<?php endif; ?>
</div><!--end wrap-->