<?php
$group_id     = absint( $_GET['rcpga-group'] );
$current_page = add_query_arg( 'rcpga-group', absint( $group_id ), admin_url( 'admin.php?page=rcp-groups&rcpga-view=view-members' ) );

$search = '';
if ( ! empty( $_GET['s'] ) ) {
	$search = rawurldecode( $_GET['s'] );
}
?>
<div class="wrap" id="rcp-members-page">

	<h2>
		<?php printf( __( '%s Group Members', 'rcp-group-accounts' ), rcpga_group_accounts()->groups->get_name( $group_id ) ); ?>
		<a href="<?php echo esc_url( admin_url( 'admin.php?page=rcp-groups&rcpga-view=add-member&rcpga-group=' . $group_id ) ); ?>" class="add-new-h2"><?php _e( 'Add Member', 'rcp-group-accounts' ); ?></a>
		<a href="<?php echo esc_url( admin_url( 'admin.php?page=rcp-groups&rcpga-view=import-members&rcpga-group=' . $group_id ) ); ?>" class="add-new-h2"><?php _e( 'Import Members', 'rcp-group-accounts' ); ?></a>
		<?php if ( ! empty( $search ) ) : ?>
			<span class="subtitle"><?php printf( __( 'Search results for &#8220;%s&#8221;', 'rcp-group-accounts' ), esc_html( $search ) ); ?></span>
		<?php endif; ?>
	</h2>

	<form id="rcpga-members-search" method="GET" action="<?php echo esc_url( admin_url( 'admin.php?page=rcp-groups&rcpga-view=view-members&rcpga-group=' . $group_id ) ); ?>">
		<p class="search-box">
			<label for="rcpga-members-search-input" class="screen-reader-text"><?php _e( 'Search Members', 'rcp-group-accounts' ); ?></label>
			<input type="search" id="rcpga-members-search-input" name="s" placeholder="<?php esc_attr_e( 'Username or email', 'rcp-group-accounts' ); ?>" value="<?php echo esc_attr( $search ); ?>">
			<input type="hidden" name="page" value="rcp-groups">
			<input type="hidden" name="rcpga-view" value="view-members">
			<input type="hidden" name="rcpga-group" value="<?php echo esc_attr( $group_id ); ?>">
			<input type="submit" class="button" value="<?php esc_attr_e( 'Search members', 'rcp-group-accounts'); ?>">
		</p>
	</form>

	<table class="wp-list-table widefat fixed posts">
		<thead>
			<tr>
				<th scope="col" class="manage-column column-primary"><?php _e( 'Name', 'rcp-group-accounts' ); ?></th>
				<th scope="col" class="manage-column"><?php _e( 'ID', 'rcp-group-accounts' ); ?></th>
				<th scope="col" class="manage-column"><?php _e( 'Role', 'rcp-group-accounts' ); ?></th>
				<th scope="col" class="manage-column"><?php _e( 'Actions', 'rcp-group-accounts' ); ?></th>
				<?php do_action( 'rcpga_group_members_page_table_header' ); ?>
			</tr>
		</thead>
		<tfoot>
			<tr>
				<th scope="col" class="manage-column column-primary"><?php _e( 'Name', 'rcp-group-accounts' ); ?></th>
				<th scope="col" class="manage-column"><?php _e( 'ID', 'rcp-group-accounts' ); ?></th>
				<th scope="col" class="manage-column"><?php _e( 'Role', 'rcp-group-accounts' ); ?></th>
				<th scope="col" class="manage-column"><?php _e( 'Actions', 'rcp-group-accounts' ); ?></th>
				<?php do_action( 'rcpga_group_members_page_table_footer' ); ?>
			</tr>
		</tfoot>
		<tbody>
		<?php

		$page     = isset( $_GET['paged'] ) ? $_GET['paged'] : 1;
		$per_page = 20;
		$offset   = $per_page * ( $page - 1 );

		$args   = array(
			'number' => $per_page,
			'offset' => $offset
		);

		if ( ! empty( $search ) ) {
			if ( is_email( $search ) && ! username_exists( $search ) ) {
				$member = get_user_by( 'email', $search );
			} else {
				$member = get_user_by( 'login', $search );
			}

			if ( is_a( $member, 'WP_User' ) ) {
				$args['user_id'] = absint( $member->ID );
			}
		}

		$members = rcpga_group_accounts()->members->get_members( $group_id, $args );

		// Sort members by role.
		$sort_order  = apply_filters( 'rcpga_member_role_sort_order', array( 'owner', 'admin', 'invited', 'member' ) );
		$member_list = array();

		foreach( $sort_order as $role ) {
			foreach( $members as $member ) {
				if ( $role == $member->role ) {
					$member_list[] = $member;
				}
			}
		}

		if ( ! empty( $search ) ) {
			$total_members = rcpga_group_accounts()->members->count( $group_id, $args );
		} else {
			$total_members = rcpga_group_accounts()->members->count( $group_id );
		}
		$total_pages   = ceil( $total_members / $per_page );

		if( ! empty( $member_list ) ) :
			$i = 1;
			foreach( $member_list as $key => $member ) : ?>

				<?php
				$user_data = get_userdata( $member->user_id );
				if( ! $user_data ) {
					continue;
				}
				?>

				<tr<?php echo $i & 1 ? ' class="alternate"' : ''; ?>>
					<td class="column-primary" data-colname="<?php esc_attr_e( 'Name', 'rcp-group-accounts' ); ?>">
						<a href="<?php echo esc_url( add_query_arg( 'user_id', $member->user_id, admin_url( 'user-edit.php' ) ) ); ?>"><?php echo $user_data->display_name; ?></a>
						<button type="button" class="toggle-row"><span class="screen-reader-text"><?php _e( 'Show more details', 'rcp-group-accounts' ); ?></span></button>
					</td>
					<td data-colname="<?php esc_attr_e( 'ID', 'rcp-group-accounts' ); ?>"><?php echo $member->user_id; ?></td>
					<td data-colname="<?php esc_attr_e( 'Role', 'rcp-group-accounts' ); ?>"><?php echo rcpga_get_member_role_label( $member->role ); ?></td>
					<td data-colname="<?php esc_attr_e( 'Actions', 'rcp-group-accounts' ); ?>">
						<?php if( 'owner' != $member->role ) : ?>
							<a href="<?php echo esc_url( wp_nonce_url( add_query_arg( array( 'rcpga-action' => 'remove-member', 'rcpga-member' => absint( $member->user_id ) ), $current_page ), 'rcpga_remove_from_group' ) ); ?>" class="rcp-member-delete"><?php _e( 'Remove from Group', 'rcp-group-accounts' ); ?></a>&nbsp;|&nbsp;
							<?php if( 'admin' == $member->role ) : ?>
								<a href="<?php echo esc_url( wp_nonce_url( add_query_arg( array( 'rcpga-action' => 'make-member', 'rcpga-member' => absint( $member->user_id ) ), $current_page ), 'rcpga_make_member' ) ); ?>"><?php _e( 'Set as Member', 'rcp-group-accounts' ); ?></a>
							<?php elseif ( 'member' == $member->role ) : ?>
								<a href="<?php echo esc_url( wp_nonce_url( add_query_arg( array( 'rcpga-action' => 'make-admin', 'rcpga-member' => absint( $member->user_id ) ), $current_page ), 'rcpga_make_admin' ) ); ?>"><?php _e( 'Set as Admin', 'rcp-group-accounts' ); ?></a>
							<?php else : ?>
								<a href="<?php echo esc_url( wp_nonce_url( add_query_arg( array( 'rcpga-action' => 'make-member', 'rcpga-update-role' => 'true', 'rcpga-member' => absint( $member->user_id ) ), $current_page ), 'rcpga_make_member' ) ); ?>"><?php _e( 'Set as Member', 'rcp-group-accounts' ); ?></a>&nbsp;|&nbsp;
								<a href="<?php echo esc_url( wp_nonce_url( add_query_arg( array( 'rcpga-action' => 'resend-invite', 'rcpga-member' => absint( $member->user_id ) ), $current_page ), 'rcpga_resend_invite' ) ); ?>"><?php _e( 'Resend Invite', 'rcp-group-accounts' ); ?></a>
							<?php endif; ?>
							 | <a href="<?php echo esc_url( wp_nonce_url( add_query_arg( array( 'rcpga-action' => 'make-owner', 'rcpga-member' => absint( $member->user_id ) ), $current_page ), 'rcpga_make_owner' ) ); ?>" class="rcpga-make-owner"><?php _e( 'Set as Owner', 'rcp-group-accounts' ); ?></a>
						<?php endif; ?>
					</td>
					<?php do_action( 'rcpga_group_members_page_table_column', $member ); ?>
				</tr>
			<?php $i++;
			endforeach;
		else : ?>
			<tr><td colspan="5"><?php _e( 'No members in this group', 'rcp-group-accounts' ); ?></td></tr>
		<?php endif; ?>
		</tbody>
	</table>
	<?php if ( $total_pages > 1 ) : ?>
		<div class="tablenav">
			<div class="tablenav-pages alignright">
				<?php
				$base = 'admin.php?' . remove_query_arg( 'paged', $_SERVER['QUERY_STRING'] ) . '%_%';
				echo paginate_links( array(
					'base' 		=> $base,
					'format' 	=> '&paged=%#%',
					'prev_text' => __( '&laquo; Previous', 'rcp' ),
					'next_text' => __( 'Next &raquo;', 'rcp' ),
					'total' 	=> $total_pages,
					'current' 	=> $page,
					'end_size' 	=> 1,
					'mid_size' 	=> 5,
				));
				?>
			</div>
		</div><!--end .tablenav-->
	<?php endif; ?>
</div><!--end wrap-->