<?php
$search        = rawurldecode( $_GET['s'] );
$member_search = trim( str_replace( 'member:', '', $search ) );
?>
<div class="wrap" id="rcp-members-page">

	<h2>
		<?php _e( 'Group', 'rcp-group-accounts' ); ?> <a href="<?php echo esc_url( admin_url( 'admin.php?page=rcp-groups&rcpga-view=add-group' ) ); ?>" class="add-new-h2"><?php _e( 'Add Group', 'rcp-group-accounts' ); ?></a>
		<?php if ( ! empty( $search ) ) : ?>
			<span class="subtitle"><?php printf( __( 'Search results for &#8220;%s&#8221;', 'rcp-group-accounts' ), esc_html( $search ) ); ?></span>
		<?php endif; ?>
	</h2>

	<form id="rcpga-members-search" method="GET" action="<?php echo esc_url( admin_url( 'admin.php?page=rcp-groups' ) ); ?>">
		<p class="search-box">
			<label for="rcpga-members-search-input" class="screen-reader-text"><?php _e( 'Search Groups', 'rcp-group-accounts' ); ?></label>
			<input type="search" id="rcpga-members-search-input" name="s" value="<?php echo esc_attr( $search ); ?>">
			<input type="hidden" name="page" value="rcp-groups">
			<input type="submit" class="button" value="<?php esc_attr_e( 'Search groups', 'rcp-group-accounts'); ?>">
		</p>
	</form>

	<table class="wp-list-table widefat">
		<thead>
		<tr>
			<th scope="col" class="manage-column column-primary"><?php _e( 'Name', 'rcp-group-accounts' ); ?></th>
			<th scope="col" class="manage-column"><?php _e( 'ID', 'rcp-group-accounts' ); ?></th>
			<th scope="col" class="manage-column"><?php _e( 'Group', 'rcp-group-accounts' ); ?></th>
			<th scope="col" class="manage-column"><?php _e( 'Role', 'rcp-group-accounts' ); ?></th>
			<th scope="col" class="manage-column"><?php _e( 'Actions', 'rcp-group-accounts' ); ?></th>
		</tr>
		</thead>
		<tfoot>
		<tr>
			<th scope="col" class="manage-column column-primary"><?php _e( 'Name', 'rcp-group-accounts' ); ?></th>
			<th scope="col" class="manage-column"><?php _e( 'ID', 'rcp-group-accounts' ); ?></th>
			<th scope="col" class="manage-column"><?php _e( 'Group', 'rcp-group-accounts' ); ?></th>
			<th scope="col" class="manage-column"><?php _e( 'Role', 'rcp-group-accounts' ); ?></th>
			<th scope="col" class="manage-column"><?php _e( 'Actions', 'rcp-group-accounts' ); ?></th>
		</tr>
		</tfoot>
		<tbody>
		<?php
		$user   = false;
		$member = false;

		if ( is_email( $member_search ) && ! username_exists( $member_search ) ) {
			$user = get_user_by( 'email', $member_search );
		} else {
			$user = get_user_by( 'login', $member_search );
		}

		if ( is_a( $user, 'WP_User' ) ) {
			$member = rcpga_group_accounts()->members->get_by( 'user_id', absint( $user->ID ) );
		}

		if( ! empty( $member ) ) : ?>
			<tr class="alternate">
				<td class="column-primary" data-colname="<?php esc_attr_e( 'Name', 'rcp-group-accounts' ); ?>">
					<a href="<?php echo esc_url( add_query_arg( 'user_id', $member->user_id, admin_url( 'user-edit.php' ) ) ); ?>"><?php echo $user->display_name; ?></a>
					<button type="button" class="toggle-row"><span class="screen-reader-text"><?php _e( 'Show more details', 'rcp-group-accounts' ); ?></span></button>
				</td>
				<td data-colname="<?php esc_attr_e( 'ID', 'rcp-group-accounts' ); ?>"><?php echo $member->user_id; ?></td>
				<td data-colname="<?php esc_attr_e( 'Group', 'rcp-group-accounts' ); ?>">
					<a href="<?php echo esc_url( add_query_arg( 'rcpga-group', absint( $member->group_id ), admin_url( 'admin.php?page=rcp-groups&rcpga-view=edit' ) ) ); ?>" title="<?php esc_attr_e( 'Edit Group', 'rcp-group-accounts' ); ?>"><?php echo rcpga_group_accounts()->groups->get_name( absint( $member->group_id ) ); ?></a>
				</td>
				<td data-colname="<?php esc_attr_e( 'Role', 'rcp-group-accounts' ); ?>"><?php echo rcpga_get_member_role_label( $member->role ); ?></td>
				<td data-colname="<?php esc_attr_e( 'Actions', 'rcp-group-accounts' ); ?>">
					<?php if( 'owner' != $member->role ) : ?>
						<a href="<?php echo esc_url( admin_url( 'admin.php?page=rcp-groups&rcpga-action=remove-member&rcpga-group=' . $member->group_id . '&rcpga-member=' . $member->user_id ) ); ?>" class="rcp-member-delete"><?php _e( 'Remove from Group', 'rcp-group-accounts' ); ?></a>&nbsp;|&nbsp;
						<?php if( 'admin' == $member->role ) : ?>
							<a href="<?php echo esc_url( admin_url( 'admin.php?page=rcp-groups&rcpga-action=make-member&rcpga-group=' . $member->group_id . '&rcpga-member=' . $member->user_id ) ); ?>"><?php _e( 'Set as Member', 'rcp-group-accounts' ); ?></a>
						<?php elseif ( 'member' == $member->role ) : ?>
							<a href="<?php echo esc_url( admin_url( 'admin.php?page=rcp-groups&rcpga-action=make-admin&rcpga-group=' . $member->group_id . '&rcpga-member=' . $member->user_id ) ); ?>"><?php _e( 'Set as Admin', 'rcp-group-accounts' ); ?></a>
						<?php else : ?>
							<a href="<?php echo esc_url( admin_url( 'admin.php?page=rcp-groups&rcpga-action=make-member&rcpga-update-role=true&rcpga-group=' . $member->group_id . '&rcpga-member=' . $member->user_id ) ); ?>"><?php _e( 'Set as Member', 'rcp-group-accounts' ); ?></a>&nbsp;|&nbsp;
							<a href="<?php echo esc_url( admin_url( 'admin.php?page=rcp-groups&rcpga-action=resend-invite&rcpga-group=' . $member->group_id . '&rcpga-member=' . $member->user_id ) ); ?>"><?php _e( 'Resend Invite', 'rcp-group-accounts' ); ?></a>
						<?php endif; ?>
					<?php endif; ?>
				</td>
			</tr>
		<?php else : ?>
			<tr><td colspan="5"><?php printf( __( 'No members found. <a href="%s">Clear search.</a>', 'rcp-group-accounts' ), esc_url( admin_url( 'admin.php?page=rcp-groups' ) ) ); ?></td></tr>
		<?php endif; ?>
		</tbody>
	</table>
</div><!--end wrap-->