<?php
/**
 * Filters
 *
 * @package     RCP\Site_Creation\Filters
 * @since       1.0.0
 */


// Exit if accessed directly
if( ! defined( 'ABSPATH' ) ) {
	exit;
}


/**
 * Override rcp_get_return_url
 *
 * @since       1.0.0
 * @param       string $redirect_url The current redirect URL
 * @param       $user_id int The user ID we have just registered
 * @return      string $redirect_url The updated redirect URL
 */
function rcp_site_creation_return_url( $redirect_url, $user_id ) {
	$settings     = get_option( 'rcp_site_creation_settings' );
	$subscription = rcp_get_subscription_id( $user_id );

	if( rcp_site_creation_allowed( $subscription ) ) {
		if( isset( $settings['redirect_page'] ) ) {
			if( $settings['redirect_page'] == 'subsite' ) {
				$blog_id      = rcp_site_creation_get_user_blog( $user_id );
				$redirect_url = get_blogaddress_by_id( $blog_id );
			} elseif( $settings['redirect_page'] != 'inherit' ) {
				$redirect_url = get_permalink( $settings['redirect_page'] );
			}
		}
	}

	return $redirect_url;
}
add_filter( 'rcp_return_url', 'rcp_site_creation_return_url', 10, 2 );
