<?php
/**
 * Scripts
 *
 * @package     RCP\Timelock\Scripts
 * @since       1.0.0
 */


// Exit if accessed directly
if( ! defined( 'ABSPATH' ) ) {
	exit;
}


/**
 * Load admin scripts
 *
 * @since       1.0.0
 * @return      void
 */
function rcp_timelock_load_admin_scripts() {
	wp_enqueue_script( 'jquery-ui-datepicker' );
	wp_enqueue_script( 'jquery-ui-slider' );
	wp_enqueue_script( 'rcp-timelock-timepicker', RCP_TIMELOCK_URL . 'assets/js/jquery-ui-timepicker-addon.js', array( 'jquery-ui-datepicker', 'jquery-ui-slider' ) );
	wp_enqueue_style( 'rcp-timelock-timepicker', RCP_TIMELOCK_URL . 'assets/css/jquery-ui-timepicker-addon.css', array() );
	wp_enqueue_script( 'rcp-timelock-clearable', RCP_TIMELOCK_URL . 'assets/js/jquery.clearable.js', array( 'rcp-timelock-timepicker' ) );

	if( get_user_option( 'admin_color' ) == 'classic' ) {
		wp_enqueue_style( 'jquery-ui', RCP_TIMELOCK_URL . 'assets/css/jquery-ui-classic.css' );
	} else {
		wp_enqueue_style( 'jquery-ui', RCP_TIMELOCK_URL . 'assets/css/jquery-ui-fresh.css' );
	}

	wp_enqueue_script( 'rcp-timelock', RCP_TIMELOCK_URL . 'assets/js/admin.js', array( 'jquery-ui-datepicker' ), RCP_TIMELOCK_VER );
	wp_enqueue_style( 'rcp-timelock', RCP_TIMELOCK_URL . 'assets/css/admin.css', array(), RCP_TIMELOCK_VER );
}
add_action( 'admin_enqueue_scripts', 'rcp_timelock_load_admin_scripts' );
